Bug 633549 - Review Request: rubygem-linode - Ruby wrapper for the Linode API
Summary: Review Request: rubygem-linode - Ruby wrapper for the Linode API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-13 22:25 UTC by Michael Stahnke
Modified: 2010-10-08 20:37 UTC (History)
2 users (show)

Fixed In Version: rubygem-linode-0.6.2-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-03 17:41:36 UTC
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Michael Stahnke 2010-09-13 22:25:40 UTC
Spec URL: http://stahnma.fedorapeople.org/reviews/rubygem-linode.spec
SRPM URL: http://stahnma.fedorapeople.org/reviews/rubygem-linode-0.6.2-1.fc15.src.rpm
Description: 
This is a wrapper around Linode's automation facilities.

Comment 1 Mamoru TASAKA 2010-09-16 22:16:12 UTC
I will take this package. Instead I will appreciate it if you
would review my review request (bug 634759)

Comment 2 Mamoru TASAKA 2010-09-17 17:38:25 UTC
For 0.6.2-1:

* Dependency
  - Writing ">= 0.4.4" on "(Build)Requires: rubygem(httparty)" is not needed
    https://fedoraproject.org/wiki/Packaging/Guidelines#Explicit_Requires

  - If you use "BuildRequires(check)" syntax, I guess
    "rubygem(mocha)" "rubygem(httparty)" are needed only for %check so
    using "BR(check)" is apppropriate
    ! Note that rubygem(httparty) is also needed for Requires, as you already
      wrote so.

* %{geminstdir}/linode.gemspec
  - Would you check if this is really needed?

* %doc attribute in -doc subpackage
  - I think writing %doc attribute in -doc subpackage is redundant because
    the name of the rpm already indicates that the rpm is for documentation.

Comment 3 Michael Stahnke 2010-09-17 18:27:12 UTC
Fixed all issues.

http://stahnma.fedorapeople.org/reviews/rubygem-linode-0.6.2-2.fc15.src.rpm

Comment 4 Mamoru TASAKA 2010-09-18 17:11:54 UTC
Well,

- So would you check if %{geminstdir}/linode.gemspec is needed?
  (i.e. I think this file is not needed). Note that gemspec file
  is also installed under %gemdir/specifications/

* BR(check): rubygem(httparty) is written twice.

Comment 5 Michael Stahnke 2010-09-22 01:11:45 UTC
Sorry, I thought I had fixed those issues. I was working on two different systems and uploaded the incorrect one.   Fixed, and bumped.

http://stahnma.fedorapeople.org/reviews/rubygem-linode-0.6.2-3.fc15.src.rpm

Comment 6 Michael Stahnke 2010-09-22 01:13:19 UTC
According to http://code.google.com/p/ruby-ole/ it is GPLv2.  Should I file a bug with upstream to include that in the file package?

Comment 7 Mamoru TASAKA 2010-09-22 18:14:10 UTC
(In reply to comment #6)
> According to http://code.google.com/p/ruby-ole/ it is GPLv2.  Should I file a
> bug with upstream to include that in the file package?

(note that this comment is for bug 634608 (rubygem-ruby-ole) )


Okay.
---------------------------------------------------------------
     This package (rubygem-linode) is APPROVED by mtasaka
---------------------------------------------------------------

Comment 8 Michael Stahnke 2010-09-22 20:19:36 UTC
New Package SCM Request
=======================
Package Name: rubygem-linnode
Short Description: Ruby wrapper for the linode API
Owners: stahnma
Branches: F13 F14 EL5 EL6
InitialCC:

Comment 9 Mamoru TASAKA 2010-09-23 06:03:48 UTC
(In reply to comment #8)
> New Package SCM Request
> =======================
> Package Name: rubygem-linnode
> Short Description: Ruby wrapper for the linode API
> Owners: stahnma
> Branches: F13 F14 EL5 EL6
> InitialCC:

Would you recheck "Package Name"?

Comment 10 Michael Stahnke 2010-09-23 14:08:04 UTC
New Package SCM Request
=======================
Package Name: rubygem-linode
Short Description: Ruby wrapper for the linode API
Owners: stahnma
Branches: F13 F14 EL5 EL6
InitialCC:

Comment 11 Kevin Fenzi 2010-09-25 05:00:37 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2010-09-26 02:14:13 UTC
rubygem-linode-0.6.2-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rubygem-linode-0.6.2-1.fc13

Comment 13 Fedora Update System 2010-09-26 02:14:20 UTC
rubygem-linode-0.6.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-linode-0.6.2-1.fc14

Comment 14 Fedora Update System 2010-09-27 03:38:55 UTC
rubygem-linode-0.6.2-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-linode'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/rubygem-linode-0.6.2-1.fc14

Comment 15 Mamoru TASAKA 2010-10-03 17:41:36 UTC
Closing.

Comment 16 Fedora Update System 2010-10-05 13:11:55 UTC
rubygem-linode-0.6.2-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-10-08 20:37:21 UTC
rubygem-linode-0.6.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.